
vec4 verBlur(sampler2D tex,vec2 newTCoord,float divisor)
{
 vec4 value = texture2D(tex,newTCoord);
 value+=texture2D(tex,vec2(newTCoord.x,newTCoord.y+0.0078125))*0.8521;
 value+=texture2D(tex,vec2(newTCoord.x,newTCoord.y+0.015625))*0.5273;
 value+=texture2D(tex,vec2(newTCoord.x,newTCoord.y+0.0234375))*0.2369;
 
 value+=texture2D(tex,vec2(newTCoord.x,newTCoord.y-0.0078125))*0.8521;
 value+=texture2D(tex,vec2(newTCoord.x,newTCoord.y-0.015625))*0.5273;
 value+=texture2D(tex,vec2(newTCoord.x,newTCoord.y-0.0234375))*0.2369;
 
 return value/divisor;
 
}